<div class="business-areas">
  <h2 class="pb-2 header">
    <span id="business-areas-page-heading" jhiTranslate="businessAreas.home.title">Country management</span>

    <button class="btn btn-primary float-right jh-create-entity" (click)="openCreateModal()">
      <span jhiTranslate="businessAreas.home.createButton">Create country</span>
    </button>
  </h2>
  <div class="row text-center">
    <div class="col-12">
      <div class="alert alert-secondary" role="alert" *ngIf="areas && areas.length === 0">
        <span jhiTranslate="global.dataEmpty"> areas are empty! </span>
      </div>
    </div>
  </div>
  <div class="table-responsive border-table" *ngIf="areas">
    <table class="table table-striped mb-0" aria-describedby="business-areas-page-heading">
      <thead class="thead-light">
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="transition.bind(this)">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="name"><span jhiTranslate="businessAreas.home.businessAreas">Business areas</span>
            <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"><span jhiTranslate="businessAreas.home.createdDate">createdDate</span>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody *ngIf="areas">
        <tr *ngFor="let area of areas;">
          <td>{{ area.id }}</td>
          <td>{{ area.name }}</td>
          <td>{{ area.createdDate | date: 'dd/MM/yyyy' }}</td>
          <td class="text-right">
            <div class="btn-group">
              <button ngbTooltip="{{'entity.action.edit' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openEditModal(area.id, area.name)">
                <i class="bi bi-pencil"></i>
              </button>
              <button ngbTooltip="{{'entity.action.delete' | translate}}" class="btn custom-icon-btn" type="button"
                (click)="openDeleteModal(area.id, area.name)">
                <i class="bi bi-trash"></i>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="areas" class="pt-5 d-flex justify-content-end mr-0">
    <jhi-item-count class="mr-4 align-self-center" [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage">
    </jhi-item-count>
    <ngb-pagination size="sm" [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="3"
      [rotate]="true" [boundaryLinks]="true" (pageChange)="transition()"></ngb-pagination>
  </div>
</div>